﻿/**Begin D:\PDM_UPGRADE\PDM1\AEF_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AEF_FIELDMAPPING') 
 CREATE TABLE T_AEF_FIELDMAPPING (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(200) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPE NVARCHAR(60) DEFAULT ' ' NOT NULL,
FSERVICEID BIGINT DEFAULT 0 NOT NULL,
FXMLNODE NVARCHAR(200) DEFAULT ' ' NOT NULL,
FFIELDDISPLAY NVARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AEF_MAPPINGENTRY') 
 CREATE TABLE T_AEF_MAPPINGENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFIELDNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FFIELDNUMBER NVARCHAR(200) DEFAULT ' ',
FXMLFILED NVARCHAR(200) DEFAULT ' ' NOT NULL,
FFIELDTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FDISPLAYPROP CHAR(1) DEFAULT ' ' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AEF_FIELDMAPPING_L') 
 CREATE TABLE T_AEF_FIELDMAPPING_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\AEF_table.sql **/
